# NinetyEight.NEShopPack

## Struct NEShopPack <a href="#ninetyeight_neshoppack" id="ninetyeight_neshoppack"></a>

Namespace: NinetyEight\
Assembly: APIReference.dll

Represents a bundle of shop items available for purchase.\
A pack includes multiple items and a pricing configuration.

```csharp
[Serializable]
public struct NEShopPack
```

**Inherited Members**

[object.Equals(object?)](https://learn.microsoft.com/dotnet/api/system.object.equals#system-object-equals\(system-object\)),[object.Equals(object?, object?)](https://learn.microsoft.com/dotnet/api/system.object.equals#system-object-equals\(system-object-system-object\)),[object.GetHashCode()](https://learn.microsoft.com/dotnet/api/system.object.gethashcode),[object.GetType()](https://learn.microsoft.com/dotnet/api/system.object.gettype),[object.ReferenceEquals(object?, object?)](https://learn.microsoft.com/dotnet/api/system.object.referenceequals),[object.ToString()](https://learn.microsoft.com/dotnet/api/system.object.tostring)

### Fields

#### code <a href="#ninetyeight_neshoppack_code" id="ninetyeight_neshoppack_code"></a>

A unique code identifying the shop pack.

```csharp
public string code
```

**Field Value**

[string](https://learn.microsoft.com/dotnet/api/system.string)

#### id <a href="#ninetyeight_neshoppack_id" id="ninetyeight_neshoppack_id"></a>

A unique identifier for the shop pack.

```csharp
public int id
```

**Field Value**

[int](https://learn.microsoft.com/dotnet/api/system.int32)

#### items <a href="#ninetyeight_neshoppack_items" id="ninetyeight_neshoppack_items"></a>

An array of items that are included in the pack.

```csharp
public NEShopItem[] items
```

**Field Value**

NEShopItem\[]

#### name <a href="#ninetyeight_neshoppack_name" id="ninetyeight_neshoppack_name"></a>

The name of the shop pack.

```csharp
public string name
```

**Field Value**

[string](https://learn.microsoft.com/dotnet/api/system.string)

#### priceConfig <a href="#ninetyeight_neshoppack_priceconfig" id="ninetyeight_neshoppack_priceconfig"></a>

Defines the pricing of the pack, where keys are currency types and values are prices.

```csharp
public Dictionary<string, float> priceConfig
```

**Field Value**

`Dictionary<string, float>`

#### purchaseLimit <a href="#ninetyeight_neshoppack_purchaselimit" id="ninetyeight_neshoppack_purchaselimit"></a>

The maximum number of times this pack can be purchased, or null for unlimited purchases.

```csharp
public int purchaseLimit
```

**Field Value**

[int](https://learn.microsoft.com/dotnet/api/system.int32)

#### type <a href="#ninetyeight_neshoppack_type" id="ninetyeight_neshoppack_type"></a>

The type of the pack, e.g., "limited", "special".

```csharp
public string type
```

**Field Value**

[string](https://learn.microsoft.com/dotnet/api/system.string)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.eternals.game/gdk-documentation/unity/api-reference/v1.0.0/ninetyeight.neshoppack.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
